- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# vmware_tag – Manage VMware tags

New in version 2.6.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- This module can be used to create / delete / update VMware tags.

- Tag feature is introduced in vSphere 6 version, so this module is not supported in the earlier versions of vSphere.

- All variables and VMware object names are case sensitive.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6

- PyVmomi

- vSphere Automation SDK

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
category_id string |  | The unique ID generated by vCenter should be used to. User can get this unique ID from facts module.
hostname string |  | The hostname or IP address of the vSphere vCenter server. If the value is not specified in the task, the value of environment variable `VMWARE_HOST` will be used instead.
password string |  | The password of the vSphere vCenter server. If the value is not specified in the task, the value of environment variable `VMWARE_PASSWORD` will be used instead. aliases: pass, pwd
protocol string | Choices: http https ← | The connection to protocol.
state string | Choices: present ← absent | The state of tag. If set to `present` and tag does not exists, then tag is created. If set to `present` and tag exists, then tag is updated. If set to `absent` and tag exists, then tag is deleted. If set to `absent` and tag does not exists, no action is taken.
tag_description string | Default: "" | The tag description. This is required only if `state` is set to `present`. This parameter is ignored, when `state` is set to `absent`. Process of updating tag only allows description change.
tag_name string / required |  | The name of tag to manage.
username string |  | The username of the vSphere vCenter server. If the value is not specified in the task, the value of environment variable `VMWARE_USER` will be used instead. aliases: admin, user
validate_certs boolean | Choices: no yes ← | Allows connection when SSL certificates are not valid. Set to `no` when certificates are not trusted. If the value is not specified in the task, the value of environment variable `VMWARE_VALIDATE_CERTS` will be used instead.

## Notes

Note

- Tested on vSphere 6.5

## Examples

    - name: Create a tag
      vmware_tag:
        hostname: '{{ vcenter_hostname }}'
        username: '{{ vcenter_username }}'
        password: '{{ vcenter_password }}'
        validate_certs: no
        category_id: 'urn:vmomi:InventoryServiceCategory:e785088d-6981-4b1c-9fb8-1100c3e1f742:GLOBAL'
        tag_name: Sample_Tag_0002
        tag_description: Sample Description
        state: present
      delegate_to: localhost

    - name: Update tag description
      vmware_tag:
        hostname: '{{ vcenter_hostname }}'
        username: '{{ vcenter_username }}'
        password: '{{ vcenter_password }}'
        tag_name: Sample_Tag_0002
        tag_description: Some fancy description
        state: present
      delegate_to: localhost

    - name: Delete tag
      vmware_tag:
        hostname: '{{ vcenter_hostname }}'
        username: '{{ vcenter_username }}'
        password: '{{ vcenter_password }}'
        tag_name: Sample_Tag_0002
        state: absent
      delegate_to: localhost

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
results dictionary | on success | dictionary of tag metadata Sample: {'msg': "Tag 'Sample_Tag_0002' created.", 'tag_id': 'urn:vmomi:InventoryServiceTag:bff91819-f529-43c9-80ca-1c9dfda09441:GLOBAL'}

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Abhijeet Kasurde (@Akasurde)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.